Bug 456120 - (CVE-2008-2938) CVE-2008-2938 tomcat Unicode directory traversal vulnerability
CVE-2008-2938 tomcat Unicode directory traversal vulnerability
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
source=asf,public=20080811,reported=2...
: Security
Depends On: 456214 456216 460125 460126 460127 460131 460132 460177 460646 460647 466471 466472 466473 470243 470244
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-21 12:29 EDT by Marc Schoenefeld
Modified: 2013-07-03 02:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-03 02:47:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for Tomcat 5.5.23 (2.51 KB, patch)
2008-07-21 12:31 EDT, Marc Schoenefeld
no flags Details | Diff

  None (edit)
Description Marc Schoenefeld 2008-07-21 12:29:01 EDT
Tomcat allows remote attackers to access local resources via directory
traversal, iff the following two modifications have been applied
- URIEncoding in server.xml (tag Connector) is set to "UTF-8" 
- allowLinking in context.xml (tag Context) is set to "true"
Comment 13 Fedora Update System 2008-09-05 13:10:40 EDT
tomcat6-6.0.18-1.1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/tomcat6-6.0.18-1.1.fc9
Comment 14 Fedora Update System 2008-09-11 13:17:08 EDT
tomcat6-6.0.18-1.1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2008-09-15 14:12:21 EDT
tomcat5-5.5.27-0jpp.1.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/tomcat5-5.5.27-0jpp.1.fc8
Comment 16 Fedora Update System 2008-09-15 16:13:58 EDT
tomcat5-5.5.27-0jpp.2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/tomcat5-5.5.27-0jpp.2.fc9
Comment 17 Fedora Update System 2008-09-15 16:16:30 EDT
tomcat5-5.5.27-0jpp.2.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/tomcat5-5.5.27-0jpp.2.fc8
Comment 18 Fedora Update System 2008-09-16 19:25:01 EDT
tomcat5-5.5.27-0jpp.2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2008-09-16 19:28:26 EDT
tomcat5-5.5.27-0jpp.2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.